Akademy 2018 Promo
Closed, ResolvedPublic

Description

This is the Akademy 2018 umbrella task. Please pay attention to the subtasks, since that is where the real work is to be done.

paulb triaged this task as High priority.
duffus renamed this task from Akademy 2018 to Akademy 2018 Promo.Jan 30 2018, 7:40 PM
paulb lowered the priority of this task from High to Normal.Feb 2 2018, 8:14 AM
paulb closed this task as Resolved.Sep 8 2018, 10:14 AM